# Class ServiceDescriptorInfo

java.lang.Object
uk.ac.starlink.table.DefaultValueInfo
uk.ac.starlink.votable.datalink.ServiceDescriptorInfo

All Implemented Interfaces:
  `uk.ac.starlink.table.ValueInfo`

public class ServiceDescriptorInfo extends uk.ac.starlink.table.DefaultValueInfo
ValueInfo for service descriptor values.

Since:
  11 Dec 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ServiceDescriptorInfo(String name, String description, uk.ac.starlink.table.StarTable table)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatDescriptor(ServiceDescriptor sd, uk.ac.starlink.table.StarTable table)`
Returns a string detailing the state of a given ServiceDesciptor in a human-readable form.
`String`
`formatValue(Object value, int maxLength)`
`Object`
`unformatString(String txt)`
Always returns null.

### Methods inherited from class uk.ac.starlink.table.DefaultValueInfo

`formatClass, formatShape, generalise, getAuxData, getContentClass, getDescription, getDomainMappers, getElementSize, getName, getShape, getUCD, getUnitString, getUtype, getXtype, isArray, isNullable, setAuxData, setContentClass, setDescription, setDomainMappers, setElementSize, setName, setNullable, setShape, setUCD, setUnitString, setUtype, setXtype, toString, unformatShape`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.ValueInfo

`getAuxDatumByName, setAuxDatum`

## Constructor Details

### ServiceDescriptorInfo

public ServiceDescriptorInfo(String name, String description, uk.ac.starlink.table.StarTable table)
Constructor.

Parameters:
  `name` - descriptor name, should not be null
  `description` - descriptor description, may be null if no relevant information is available
  `table` - table to which the values of this info refer; may be null if inapplicable or unknown

## Method Details

### formatValue

public String formatValue(Object value, int maxLength)

Specified by:
  `formatValue` in interface `uk.ac.starlink.table.ValueInfo`
Overrides:
  `formatValue` in class `uk.ac.starlink.table.DefaultValueInfo`

### unformatString

public Object unformatString(String txt)
Always returns null.

Specified by:
  `unformatString` in interface `uk.ac.starlink.table.ValueInfo`
Overrides:
  `unformatString` in class `uk.ac.starlink.table.DefaultValueInfo`

### formatDescriptor

public static String formatDescriptor(ServiceDescriptor sd, uk.ac.starlink.table.StarTable table)
Returns a string detailing the state of a given ServiceDesciptor in a human-readable form.

Parameters:
  `sd` - service descriptor
  `table` - table to which the descriptor refers; may be null if inapplicable or unknown
Returns:
  multi-line description string